server:
  port: 8105

############################################################## minio
MINIO_ADDRESS: http://192.168.10.153:9000
MINIO_BUCKET: zhongji
MINIO_USERNAME: qizhi
MINIO_PASSWORD: qizhi123
############################################################## redis
REDIS_ADDRESS: 192.168.10.157
REDIS_PORT: 6379
REDIS_PASS: standard123
REDIS_DATABASE: 3
############################################################## llm
# local
LLM_API_ADDR: https://dashscope.aliyuncs.com/compatible-mode/v1/chat/completions
LLM_API_MODEL: qwen3.5-plus
LLM_BACK_API_MODEL: qwen3-max
LLM_API_TOKEN: sk-58046ac63cae4317b65fb151965169d1
LLM_BACK_API_TOKEN:
LLM_API_MAX_TOKENS: 16000

# prod
TENCENT_APPID: 210468336
TENCENT_SDKID: 28790143843
TENCENT_SECRETID: 0ks7u8cgQ8DGVtlYZeRA9TxZCjvUT3oL
TENCENT_SECRETKEY: gQU09rkJjiQfiGcUYdhiKq5Ol6LebXg4w7F7Ol0rwvvdv3Xy
TENCENT_ADMIN_USERID: woaJARCQAAftcvU6GGoOn66rdSZ4IrOA

############################################################## wechat
# prod
CORP_ID: wx34544d057db97ffd
CORP_SECRET: 7YLePWG7rJqkQFnAB4FeylqAXpmu7q5qv_NOeSGNbm0

############################################################## email
EMAIL_SENDER: cmeeting_assistant@cimc.com
EMAIL_SMTP_HOST: smtp.office365.com

############################################################## permission
PERMISSION_APPLiCATION_ID: 1945681039926104064
PERMISSION_TENANT_ID: 1945678078692954112
PERMISSION_ADMIN_WHITE_USERS: 00015545,1945678083671592960


spring:
  datasource:
    # 主数据源
    master:
      jdbc-url: jdbc:mysql://192.168.10.157:3306/zhongji-meeting?useSSL=false&characterEncoding=utf8&serverTimezone=UTC
      username: root
      password: qizhi123
      driver-class-name: com.mysql.jdbc.Driver
  redis:
    database: ${REDIS_DATABASE}
    host: ${REDIS_ADDRESS}
    jedis:
      pool:
        max-active: 8
        max-idle: 8
        max-wait: 30000ms
        min-idle: 1
    port: ${REDIS_PORT}
    timeout: 6000ms
    password: ${REDIS_PASS}

mybatis.type-aliases-package: com.cmeeting.pojo\
mybatis:
  configuration:
    map-underscore-to-camel-case: true
mybatis-plus:
  mapper-locations: classpath*:mapper/**/*.xml
  configuration:
    map-underscore-to-camel-case: true
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
# 也建议开启
global-config:
  db-config:
    column-underline: true

#Minio服务所在地址
minio.endpoint: ${MINIO_ADDRESS}
#存储桶名称
minio.bucketName: ${MINIO_BUCKET}
#访问的key
minio.accessKey: ${MINIO_USERNAME}
#访问的秘钥
minio.secretKey: ${MINIO_PASSWORD}

wechat:
  corp_id: ${CORP_ID}
  corp_secret: ${CORP_SECRET}

tencent:
  appId: ${TENCENT_APPID}
  sdkId: ${TENCENT_SDKID}
  secretId: ${TENCENT_SECRETID}
  secretKey: ${TENCENT_SECRETKEY}
  admin:
    userId: ${TENCENT_ADMIN_USERID}
  meeting:
    token: QQZNb7xWQB47MpZF4C2DFAkv8
    aesKey: agy6ALUePp34lljWz1uIQWa7yQq3dgxxQNmfaN9GROm
  base-save-path: E:/save/  #会议纪要临时文件存储路径
  search-scope: 2   #腾会转录文件拉取时间范围，查询过去n天的记录
  search-end-time: '2025-11-26 22:59:59'   #此时间之前的数据不拉取

email:
  sender: ${EMAIL_SENDER}
#  sender-pwd: ${EMAIL_SENDER_PWD}
  smtp-host: ${EMAIL_SMTP_HOST}
  push-switch: true  #邮件推送总开关，高优先级
  environment: prod  #test推给本公司人员，prod推给用户
  microsoft:
    clientId: 'rNvsNtIQTUAD7aYik9/1LDpfO+XbM4nuPkpf131H8vHfJg7Uj7HxJJcHFbtmO4uWagelhTsOTSx2PDqjeuqiYw=='
    clientSecret: 'DERmPlHbjiN4rjIFHvpe+OypNRCuSwLe/MBy56EFtI7FkzHfOnVjMdCTRG/CmybBBfha6geFbijC6ymeMVSSeg=='
    tenantId: 'dFSC/Jg4ibKnmKWCofo1KfR5IdsvHEHYiAE0iehpiyj0rzes8BRBzvQAu2rjG8SAm8VQetE+sLNvxObI8vq5iA=='

llm:
  api-addr: ${LLM_API_ADDR}
  api-model: ${LLM_API_MODEL}
  api-back-model: ${LLM_BACK_API_MODEL}
  api-token: ${LLM_API_TOKEN}
  api-back-token: ${LLM_BACK_API_TOKEN}
  api-max-tokens: ${LLM_API_MAX_TOKENS}

#解密key
aec:
  key: biaopin123456789


ldap:
  url: 'ldap://10.52.3.20/'
  base: 'CN=AIGC,OU=数据网络中心,OU=集团公司,OU=集团总部,OU=无HR信息人员,OU=特殊邮箱,DC=cimc,DC=com'
  adName: 'AIGC@cimc.com'
  adPwd: '32Rgn87#8@dbc'
  referral: 'follow'
  domain: '@cimc.com'

userAdmin:
  domain: http://192.168.10.157:8103
  systemDomain: http://192.168.10.157:8101
  appId: af94e0ec9cc0bef2bfa63f470f6f4351
  secret: 4luHTMYMyXzOmDHN0ZOSMwOst702plcr9EKqAHtT8Nag6EPlP0VSFvqv9Zq0NRDE
  file-download-path: /download/minio/
  docDomain: http://192.168.10.157:8102/knowledgePlatform

jwt:
  header: Authorization
  tokenHead: 'Bearer '
  expireTime: 36000

permission:
  applicationId: ${PERMISSION_APPLiCATION_ID}
  tenantId: ${PERMISSION_TENANT_ID}
  admin-white_users: ${PERMISSION_ADMIN_WHITE_USERS}

jasypt:
  encryptor:
    password: EbfYkitulv23I2p1mXI50JMXoaxZTKJ7
    algorithm: PBEWITHMD5ANDDES
    iv-generator-classname: org.jasypt.iv.NoIvGenerator
    property:
      prefix: ENC(
      suffix: )

# 默认模板
record-template-path-default: /2025-07-21/a12465sdfsa2gas.docx

removeMenus:

isDev: true
statistics:
  email-push:
    toEmails:
      - user: 洪
        email: hongdongbao@chatbot.cn

# 同步组织架构信息用 HR账号密码
cimc:
  username: cimc_AIGC
  password: 4A6BEB75A7017F4BC4D381C2CBB0E6FB
  apiKey: Jj8UONm74FRxOSMnlIN95pVVUJf5Nn2D
  userinfo-environment: test
  secret: Nt8wi1xBhJlUk9ek54d0FI5TFpf321ZDKRqAjpSO5IVRec5UKZAkBKEsFu0W1fNkU5l0G3//jh0dq7HquWJ5/Q== #德勤TOKEN解密SECRET